summaryrefslogtreecommitdiff
path: root/is-agpl3+
diff options
context:
space:
mode:
Diffstat (limited to 'is-agpl3+')
-rwxr-xr-xis-agpl3+39
1 files changed, 39 insertions, 0 deletions
diff --git a/is-agpl3+ b/is-agpl3+
new file mode 100755
index 0000000..5ff33e6
--- /dev/null
+++ b/is-agpl3+
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+set -eu
+
+
+has_blurb()
+{
+ local file="$1"
+ while read line
+ do
+ if ! grep -F "$line" "$file"
+ then
+ return 1
+ fi
+ done <<EOF
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU Affero General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+GNU Affero General Public License for more details.
+You should have received a copy of the GNU Affero General Public License
+along with this program. If not, see <http://www.gnu.org/licenses/>.
+EOF
+}
+
+exit=0
+for file in "$@"
+do
+ if ! has_blurb "$file" > /dev/null
+ then
+ echo "ERROR: does not have expected license blurb: $file"
+ exit=1
+ fi
+done
+
+exit $exit